## pipewire 1.5.84

=== debian/changelog ===
pipewire (1.5.84-1ubuntu2) resolute; urgency=medium

  * Build without onnxruntime on i386
  * Cherry pick upstream changes to fix a bluetooth segfault
    (lp: #2137545)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Jan 2026 11:26:01 +0100

pipewire (1.5.84-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
  * New change
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Jan 2026 21:35:10 +0100

pipewire (1.5.84-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release (1.6 release candidate 4)
  * Remove Fix_services.patch, this was required to avoid conflict
    with pipewire-media-session due to a bug in systemd. systemd is fixed
    since v253 and pipewire-media-session is no longer available since Trixie,
    so no reason to keep it.
  * d/rules: increase test timeout for alpha.

  [ Charles ]
  * d/tests: Update manual-tests.md for modern releases.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 01 Dec 2025 15:56:30 +0100

pipewire (1.4.9-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Create new binary packages for a subset of pipewire and spa modules
      - Specifically the ones which have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
        .so which can be included in the new libspa-0.2-modules-extra
        binary (LP: #1991936)
    - Add apport package hook
    - Enable pipewire jack emulation by default

 -- Charles <charles05@canonical.com>  Thu, 06 Nov 2025 09:29:26 +0100
