## pipewire 1.5.85

=== debian/changelog ===
pipewire (1.5.85-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.
    - Build without onnxruntime on i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Feb 2026 15:37:16 +0100

pipewire (1.5.85-1) experimental; urgency=medium

  * New upstream release (1.6 release candidate 5)
    (Closes: #1125964)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 Jan 2026 17:16:39 +0100

pipewire (1.5.84-1ubuntu3) resolute; urgency=medium

  * Rebuild with the new libcamera soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Feb 2026 16:43:10 +0100
