## pipewire 1.6.0

=== debian/changelog ===
pipewire (1.6.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.
    - Build without onnxruntime on i386

 -- Charles <charles05@canonical.com>  Thu, 27 Feb 2026 13:10:32 +0000

pipewire (1.6.0-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release

  [ Luca Boccassi ]
  * Use dh sequence instead of manual call in d/rules
  * Drop unused adduser dependency

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Feb 2026 11:43:23 +0100
