## pipewire python-0.2.1

=== Makefile ===
--- 
+++ 
@@ -27,26 +27,9 @@
 push:  ## Push code with tags
 	git push && git push --tags
 
-# test:  ## Run tests
-# 	python -m pytest -ra
+test:  ## Run tests [LOCALHOST]
+	python -m pytest -ra
 
 tox:  ## Run tox
-	python -m tox
+	python3 -m tox
 	ls -la
-
-help:  ## Show help message
-	@IFS=$$'\n' ; \
-	help_lines=(`fgrep -h "##" $(MAKEFILE_LIST) | fgrep -v fgrep | sed -e 's/\\$$//' | sed -e 's/##/:/'`); \
-	printf "%s\n\n" "Usage: make [task]"; \
-	printf "%-20s %s\n" "task" "help" ; \
-	printf "%-20s %s\n" "------" "----" ; \
-	for help_line in $${help_lines[@]}; do \
-		IFS=$$':' ; \
-		help_split=($$help_line) ; \
-		help_command=`echo $${help_split[0]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
-		help_info=`echo $${help_split[2]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
-		printf '\033[36m'; \
-		printf "%-20s %s" $$help_command ; \
-		printf '\033[0m'; \
-		printf "%s\n" $$help_info; \
-	done
